Installation problem

2004-12-06
2013-04-26
  • Olf Bossert
    Olf Bossert
    2004-12-06

    Hi,

    I just tried to install PyPedal on Debian Linux. The installation from source placed all modules in /usr/lib/python2.3/site-packages/PyPedal.

    But when I try to run some examples, the program dies with an error:

    $ python
    Python 2.3.4 (#2, Sep 24 2004, 08:39:09)
    [GCC 3.3.4 (Debian 1:3.3.4-12)] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import PyPedal
    >>> PyPedal.__version__
    Traceback (most recent call last):
      File "<stdin>", line 1, in ?
    AttributeError: 'module' object has no attribute '__version__'
    >>> from PyPedal import *
    >>> example = preprocess('hartl.ped',sepchar=' ')
    Traceback (most recent call last):
      File "<stdin>", line 1, in ?
    NameError: name 'preprocess' is not defined
    >>>

    Any idea?

    TIA, Olf

     
    • John B. Cole
      John B. Cole
      2005-04-27

      Olf, this should be fixed in the current distribution of PyPedal.